Bug 222647 - [selectors] Move :focus-viisble & :focus-within flags from Node to UserActionElementSet
Summary: [selectors] Move :focus-viisble & :focus-within flags from Node to UserAction...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Manuel Rego Casasnovas
URL:
Keywords: InRadar
Depends on:
Blocks: 185859
  Show dependency treegraph
 
Reported: 2021-03-03 02:48 PST by Manuel Rego Casasnovas
Modified: 2021-03-09 13:37 PST (History)
12 users (show)

See Also:


Attachments
Patch (8.73 KB, patch)
2021-03-03 03:02 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch (14.55 KB, patch)
2021-03-08 00:19 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rego Casasnovas 2021-03-03 02:48:04 PST
This was suggested during the review of https://bugs.webkit.org/show_bug.cgi?id=222028#c42
Comment 1 Manuel Rego Casasnovas 2021-03-03 03:02:36 PST
Created attachment 422054 [details]
Patch
Comment 2 Manuel Rego Casasnovas 2021-03-08 00:19:56 PST
Created attachment 422548 [details]
Patch
Comment 3 Manuel Rego Casasnovas 2021-03-09 02:17:16 PST
Hi Anti, this is what you suggested in the review of the :focus-visible patch. Could you please take a look? Thanks.
Comment 4 EWS 2021-03-09 13:36:06 PST
Committed r274173: <https://commits.webkit.org/r274173>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 422548 [details].
Comment 5 Radar WebKit Bug Importer 2021-03-09 13:37:18 PST
<rdar://problem/75232921>